> ## Documentation Index
> Fetch the complete documentation index at: https://docs.aptlydone.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Update action



## OpenAPI

````yaml patch /v1/actions/{id}
openapi: 3.0.0
info:
  title: Actions APIs Specification
  description: Section for description
  version: '1.0'
  contact: {}
servers:
  - url: https://staging.api.us.aptlydone.com/actions
  - url: https://staging.api.eu.aptlydone.com/actions
  - url: https://api.us.aptlydone.com/actions
  - url: https://api.eu.aptlydone.com/actions
security: []
tags: []
paths:
  /v1/actions/{id}:
    patch:
      tags:
        - actions
      summary: Update action
      operationId: ActionController_updateAction_v1
      parameters:
        - name: id
          required: true
          in: path
          description: Action ID
          schema:
            format: uuid
            example: 693aa0e8-4895-4de4-8148-9585219243af
            type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/ActionUpdateDto'
      responses:
        '200':
          description: Action updated successfully
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ActionResponseDtoResponse'
      security:
        - accessToken: []
components:
  schemas:
    ActionUpdateDto:
      type: object
      properties:
        actionName:
          type: string
          description: Action name
          example: Review Financial Report
        description:
          type: string
          description: Action description
          example: This action requires reviewing the Q1 financial report.
        actionTypeId:
          type: string
          format: uuid
          description: Action type ID
          example: d6b43e09-6d12-41d4-876a-4364b312a331
        actionTemplateId:
          type: string
          format: uuid
          description: Action template ID
          example: b996772b-8bec-458e-a959-04310a73dd22
        actionPriorityId:
          type: string
          format: uuid
          description: Action priority ID
          example: 1dc95194-340d-4ac1-9bdc-b6f2a6d0c390
        actionStatusId:
          type: string
          format: uuid
          description: Action status ID
          example: f5375c74-669d-4666-b0ce-0563f7bad200
        decisionId:
          type: string
          description: Decision ID
          example: 34df3f81-a4c4-4788-8fa5-20647091183a
        delegationId:
          type: string
          description: Delegation ID
          example: f00e2dd3-7126-4d7e-a536-69a59f37ab8a
        documentId:
          type: string
          description: Document ID
          example: fa930d6a-906a-4cd3-93a9-87cc4ad49f1b
        ownerId:
          type: string
          format: uuid
          description: Owner ID
          example: 58fe689a-1a5f-4580-a0f5-725876df25f6
        dueDate:
          format: date-time
          type: string
          description: Due date
          example: '2025-04-15T14:00:00.000Z'
        assigneeIds:
          description: Assignee IDs
          example:
            - 7cb0d0f9-9828-4ba5-9e83-afccdaa589cf
          type: array
          items:
            type: string
            format: uuid
        files:
          description: Files
          type: array
          items:
            $ref: '#/components/schemas/ActionFileDto'
    ActionResponseDtoResponse:
      type: object
      properties:
        statusCode:
          type: number
          description: HTTP Status code
          example: 200
        timestamp:
          type: string
          description: Timestamp of the response
          example: '2026-01-08T06:27:47.328Z'
        message:
          type: string
          description: Response message
          example: Success
        data:
          description: Response data
          allOf:
            - $ref: '#/components/schemas/ActionResponseDto'
      required:
        - statusCode
        - timestamp
        - message
        - data
    ActionFileDto:
      type: object
      properties:
        fileUrl:
          type: string
          description: File URL
          example: https://picsum.photos/seed/R7utRxd8Ng/972/1694
        fileType:
          type: string
          description: File type
          example: pdf
        fileName:
          type: string
          description: File Name
          example: 'File Name '
      required:
        - fileUrl
        - fileType
        - fileName
    ActionResponseDto:
      type: object
      properties:
        id:
          type: string
          example: b6ea6e93-cf04-476f-818b-551b9413e881
        actionId:
          type: string
          example: '10001'
        tenantId:
          type: string
          example: 7e554f0e-4d95-4638-9fa4-414ac2a185f7
        actionName:
          type: string
          example: Review Financial Report
        description:
          type: string
          example: This action requires reviewing the Q1 financial report.
          nullable: true
        actionTypeId:
          type: string
          example: 555bd6ef-f595-4001-b0c3-c2bdbab42569
        actionType:
          $ref: '#/components/schemas/ActionTypeResponseDto'
        actionTemplateId:
          type: string
          example: e546136b-2227-43a5-b2b7-94e803ec8d2a
        actionTemplate:
          $ref: '#/components/schemas/ActionTemplateResponseDto'
        actionPriorityId:
          type: string
          example: f1a69a9e-8c4b-431a-8137-fd925392a892
        actionStatusId:
          type: string
          example: 49a71424-b882-49a6-a505-8b0e8638f67d
        decisionId:
          type: string
          nullable: true
          example: 0674251a-5401-4242-aade-69a9c5ea78e1
        decisionDisplayId:
          type: string
          nullable: true
          example: '10001'
        delegationId:
          type: string
          nullable: true
          example: 2ffa6e47-fae9-43a9-b6ca-01132054a80d
        delegationDisplayId:
          type: string
          nullable: true
          example: '10001'
        documentId:
          type: string
          nullable: true
          example: eeb69abe-eae0-455a-8061-b7eebafc1f78
        documentDisplayId:
          type: string
          nullable: true
          example: '10001'
        roleId:
          type: string
          nullable: true
          example: 71294e15-dc2c-4f6a-9760-e54e30f8f69a
        link:
          type: string
          example: eyJ0ZW5hbnRJZCI6mZTktMmU5Zi00NDkxLTk5MTctYmFlYWUwY2UwYTQ2In0=
          nullable: true
        ownerId:
          type: string
          example: 5982d167-d35d-4477-86d0-74ece8e7d727
        owner:
          $ref: '#/components/schemas/UserResponseDto'
        dueDate:
          format: date-time
          type: string
          nullable: true
          example: '2025-04-15T14:00:00.000Z'
        createdAt:
          format: date-time
          type: string
          example: '2025-03-01T09:00:00.000Z'
        updatedAt:
          format: date-time
          type: string
          example: '2025-03-01T09:00:00.000Z'
        createdBy:
          type: string
          example: name of creator
        updatedBy:
          type: string
          example: name of updator
        deletedOn:
          format: date-time
          type: string
          example: '2025-03-01T09:00:00.000Z'
        deletedBy:
          type: string
          example: name of deletor
        copiedFrom:
          type: string
          example: 2195ff5b-f0b4-4670-8ea6-ed207a34c947
        isDeleted:
          type: boolean
          example: false
        isSystemGenerated:
          type: boolean
          example: false
        assignees:
          type: array
          items:
            $ref: '#/components/schemas/ActionAssigneeResponseDto'
        files:
          type: array
          items:
            $ref: '#/components/schemas/ActionFileResponseDto'
        priority:
          $ref: '#/components/schemas/ActionPriorityResponseDto'
        status:
          $ref: '#/components/schemas/ActionStatusResponseDto'
        permissions:
          description: permissions
          nullable: true
          type: array
          items:
            $ref: '#/components/schemas/PermissionDto'
      required:
        - id
        - actionId
        - tenantId
        - actionName
        - description
        - actionTypeId
        - actionType
        - actionTemplateId
        - actionTemplate
        - actionPriorityId
        - actionStatusId
        - decisionId
        - decisionDisplayId
        - delegationId
        - delegationDisplayId
        - documentId
        - documentDisplayId
        - roleId
        - link
        - ownerId
        - owner
        - dueDate
        - createdAt
        - updatedAt
        - createdBy
        - updatedBy
        - deletedOn
        - deletedBy
        - copiedFrom
        - isDeleted
        - isSystemGenerated
        - assignees
        - files
        - priority
        - status
    ActionTypeResponseDto:
      type: object
      properties:
        id:
          type: string
          example: ab85f1e9-82b5-48ae-b225-36e641eb63db
          description: Unique identifier for the action type
        tenantId:
          type: string
          example: 08915416-1316-4009-ae23-be6a5ad81924
          description: Tenant identifier for the action type
        type:
          type: string
          example: Meeting
          description: Type of the action
        name:
          type: string
          example: Meeting
          description: Name of the action type (alias for type)
        typeIcon:
          type: string
          example: calendar
          description: Icon identifier for the action type
        status:
          type: boolean
          example: true
          description: Whether this action type is active
        isCustom:
          type: boolean
          example: false
          description: Whether this is a custom action type
      required:
        - id
        - tenantId
        - type
        - name
        - typeIcon
        - status
        - isCustom
    ActionTemplateResponseDto:
      type: object
      properties:
        id:
          type: string
          example: 2795f097-2dc0-4c1c-b36d-78ac44cbc2db
          description: Unique identifier for the action template
        tenantId:
          type: string
          example: b41705a3-90e1-4bec-ba85-94266a3f711e
          description: Tenant identifier for the action template
        name:
          type: string
          example: Weekly Status Meeting
          description: Name of the action template
        description:
          type: string
          example: Template for recurring team status meetings
          description: Description of the action template
        status:
          type: boolean
          example: true
          description: Whether this action template is active
        type:
          $ref: '#/components/schemas/ActionTypeResponseDto'
      required:
        - id
        - tenantId
        - name
        - description
        - status
        - type
    UserResponseDto:
      type: object
      properties:
        id:
          type: string
          example: a0723133-71b0-4ac7-b64c-303ade18c108
          description: Unique identifier of the user
        email:
          type: string
          nullable: true
          example: Kallie.Rowe@hotmail.com
          description: Email address
          maxLength: 100
        name:
          type: string
          nullable: true
          example: Mrs. Nicole Dicki
          description: Name
        displayName:
          type: string
          nullable: true
          example: John Smith
          description: Display Name
        profileImageUrl:
          type: string
          nullable: true
          example: https://picsum.photos/seed/B4mHPJLh/283/2368
          description: User profile image URL
          maxLength: 50
        positions:
          description: User position details
          type: array
          items:
            $ref: '#/components/schemas/PositionDto'
        mobilePhone:
          type: string
          example: '987654321'
          description: User Phone
        primaryOrganizationId:
          type: string
          nullable: true
          description: Primary organization ID of the user
        primaryOrganization:
          nullable: true
          description: Primary organization details of the user
          allOf:
            - $ref: '#/components/schemas/GroupDto'
        manager:
          nullable: true
          allOf:
            - $ref: '#/components/schemas/ManagerDto'
      required:
        - id
        - email
        - name
        - displayName
        - profileImageUrl
        - positions
        - mobilePhone
        - primaryOrganizationId
        - primaryOrganization
        - manager
    ActionAssigneeResponseDto:
      type: object
      properties:
        id:
          type: string
          example: 3a916c68-9ac8-420b-813a-81e4e4879a0b
        assigneeId:
          type: string
          example: 6105717d-efb2-47b3-8fae-879413e5a417
        assignee:
          $ref: '#/components/schemas/UserResponseDto'
        actionStatusId:
          type: string
          example: 8e517be4-9762-4d8c-9654-b8213f81fc25
        actionStatusName:
          type: string
          example: TO DO
        actionTakenDate:
          format: date-time
          type: string
          nullable: true
          example: '2025-03-10T09:00:00.000Z'
      required:
        - id
        - assigneeId
        - assignee
        - actionStatusId
        - actionStatusName
        - actionTakenDate
    ActionFileResponseDto:
      type: object
      properties:
        id:
          type: string
          example: 995c98c5-9751-4276-be10-e6d517d6ef15
        fileUrl:
          type: string
          example: https://storage.example.com/files/report.pdf
        fileType:
          type: string
          example: pdf
        fileName:
          type: string
          example: fileName
        createdAt:
          format: date-time
          type: string
          example: '2025-03-05T14:30:00.000Z'
      required:
        - id
        - fileUrl
        - fileType
        - fileName
        - createdAt
    ActionPriorityResponseDto:
      type: object
      properties:
        id:
          type: string
          example: ac8c73c0-134a-4226-8123-55dc97761b19
          description: Unique identifier for the action priority
        actionPriorityName:
          type: string
          example: High
          description: Name of the action priority
        isEnabled:
          type: boolean
          example: true
          description: Whether this priority is enabled
        colorName:
          type: string
          example: green
          description: Color code for the action priority
      required:
        - id
        - actionPriorityName
        - isEnabled
        - colorName
    ActionStatusResponseDto:
      type: object
      properties:
        id:
          type: string
          example: 0991e896-9be4-48c2-a188-cbf27956b6e2
          description: Unique identifier for the action status
        actionStatusName:
          type: string
          example: In Progress
          description: Name of the action status
        isEnabled:
          type: boolean
          example: true
          description: Whether this status is enabled
      required:
        - id
        - actionStatusName
        - isEnabled
    PermissionDto:
      type: object
      properties:
        allowed:
          type: boolean
          description: 'permission allowed '
          nullable: true
        relationship_key:
          type: string
          description: relationship_key
          nullable: true
    PositionDto:
      type: object
      properties:
        id:
          type: string
          example: 9e7d8a5c-9deb-43b7-99e2-bdf1f4b9b741
          description: Position ID
        positionName:
          type: string
          example: Managing Director - North
          description: Position name
        autoProvisioned:
          type: boolean
          example: false
          description: Whether the position was auto provisioned
      required:
        - id
        - positionName
        - autoProvisioned
    GroupDto:
      type: object
      properties:
        id:
          type: string
          example: 5ed38dca-34b0-4a05-a655-99ac08a0e45e
          description: Group ID
        groupName:
          type: string
          nullable: true
          example: engineering-team
          description: Group Name
        displayName:
          type: string
          nullable: true
          example: Engineering Team
          description: Group Display Name
        tenantGroupTypeId:
          type: string
          nullable: true
          example: 44af7a86-6386-446e-a942-7389c35a4dd8
          description: Tenant Group Type ID
        tenantGroupTypeName:
          type: string
          nullable: true
          example: Department
          description: Tenant Group Type Name
        legalName:
          type: string
          nullable: true
          example: Engineering Team LLC
          description: Legal Name
        baseCurrency:
          type: string
          nullable: true
          example: USD
          description: Base Currency
      required:
        - id
        - groupName
        - displayName
        - tenantGroupTypeId
        - tenantGroupTypeName
        - legalName
        - baseCurrency
    ManagerDto:
      type: object
      properties:
        id:
          type: string
          example: 4faa4d07-6e72-42f8-acf2-4fb64e424449
          description: Manager ID
        name:
          type: string
          example: Managing Director - North
          description: Manager Name
        displayName:
          type: string
          example: John Doe
          description: Manager Display Name
        profileImageUrl:
          type: string
          example: true
          description: Profile Image URL of the manager
      required:
        - id
        - name
        - displayName
        - profileImageUrl
  securitySchemes:
    accessToken:
      scheme: bearer
      bearerFormat: JWT
      type: http

````